summaryrefslogtreecommitdiff
path: root/dev-python/python-cstruct/python-cstruct-3.1.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-09-16 00:42:57 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-09-16 00:42:57 +0000
commit2ce9c865ecfb79e712a04c75b4fb8669b6c3111b (patch)
tree74eec7832ed2aa4ebf38070fd070427b82d18176 /dev-python/python-cstruct/python-cstruct-3.1.ebuild
parent35b3ebb397fa64d40c57c8eec6ccd1271d60b086 (diff)
downloadbaldeagleos-repo-2ce9c865ecfb79e712a04c75b4fb8669b6c3111b.tar.gz
baldeagleos-repo-2ce9c865ecfb79e712a04c75b4fb8669b6c3111b.tar.xz
baldeagleos-repo-2ce9c865ecfb79e712a04c75b4fb8669b6c3111b.zip
Adding metadata
Diffstat (limited to 'dev-python/python-cstruct/python-cstruct-3.1.ebuild')
-rw-r--r--dev-python/python-cstruct/python-cstruct-3.1.ebuild30
1 files changed, 30 insertions, 0 deletions
diff --git a/dev-python/python-cstruct/python-cstruct-3.1.ebuild b/dev-python/python-cstruct/python-cstruct-3.1.ebuild
new file mode 100644
index 000000000000..870df7088705
--- /dev/null
+++ b/dev-python/python-cstruct/python-cstruct-3.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="C-style structs for Python"
+HOMEPAGE="https://github.com/andreax79/python-cstruct
+ https://pypi.org/project/cstruct/"
+SRC_URI="
+ https://github.com/andreax79/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DOCS=( README.md )
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ sed -e "/find_packages(/s@exclude=\[@&'tests', @" -i setup.py || die
+}